 
%Simulation des 3 situations d'offres de prix
Offres=zeros(3,t); for i=1:3
    Offres(i,:)=m*ones(1,t)+randn(1,t)*s;
end

%Temps de dpassement du prix cible P
v=ones(1,3); for i=1:3
    j=1;
    while Offres(i,j)-P<0
        v(i)=v(i)+1;
        j=j+1;
    end
end

%Temps de dpassement de la valeur moyenne m
v1=ones(1,3); for i=1:3
    j=1;
    while Offres(i,j)-m<0
        v1(i)=v1(i)+1;
        j=j+1;
    end
end

%Calcul du flux actualis
F=zeros(3,t); A=(1+a)^(-1)*ones(1,t); for i=1:3
    for j=1:t
        A1=cumsum(cumprod(A(1,1:j)));
        F(i,j)=Offres(i,j)*(1+a)^(-j)-c*A1(1,j);
    end
end
